/*
 * BeepAction.java # 2003-9-28
 * mailto: shenchilang@163.com
 */
package cn.edu.nudt.mice.italk.content.actions;

import java.awt.Toolkit;

import cn.edu.nudt.mice.italk.content.TextAction;
import cn.edu.nudt.mice.italk.content.TextContent;

/**
 * @author Shen Rui
 * <code>BeepAction</code>
 */
public class BeepAction implements TextAction {

	public void update(TextContent content) {
		Toolkit.getDefaultToolkit().beep();
		content.setFocus();
	}
	
	public void update(StringBuffer content) {
		Toolkit.getDefaultToolkit().beep();
	}

	public String toString(){
		return "#BEEP";
	}
}
