/*
 * ClearAction.java # 2003-9-28
 * mailto: shenchilang@163.com
 */
package cn.edu.nudt.mice.italk.content.actions;

import cn.edu.nudt.mice.italk.content.TextAction;
import cn.edu.nudt.mice.italk.content.TextContent;

/**
 * @author Shen Rui
 * <code>ClearAction</code>
 */
public class ClearAction implements TextAction {

	public ClearAction(){
		Exception e = new Exception("TRACE");
		e.printStackTrace();
	}

	public void update(TextContent content) {
		content.getControl().setText("");
	}
	
	public void update(StringBuffer content) {
		content.setLength(0);
	}

	public String toString(){
		return "#CLEAR";
	}
}
