/*
 * TalkServerCallback.java # 2003-9-28
 * mailto: shenchilang@163.com
 */
package cn.nudt.edu.mice.italk.peer;

/**
 * @author Shen Rui
 * <code>TalkServerCallback</code>, to see peer connect
 */
public interface TalkServerCallback {
	/**
	 * fire that a peer has connected, you can return true
	 * to grant it, or false to reject it.
	 * when it's granted, you should add PeerListeners to it
	 */
	public boolean accepted(TalkPeer peer);
	
	public void disconnected(TalkPeer peer);
}
